<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Rock Star Pro
 * * @since Rock Star 1.0
 */

if ( ! function_exists( 'rock_star_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own rock_star_menuitem(), and that function will be used instead.
 *
 * * @since Rock Star 1.0
 */
function rock_star_menuitem( $menu_item ) {
	// convert local URLs in custom menu items	
	if ( $menu_item->type == 'custom' && stripos( $menu_item->url, get_site_url() ) !== false && function_exists( 'qtrans_convertURL' ) ) {
		$menu_item->url = qtrans_convertURL( $menu_item->url );
	}     
	return $menu_item;
} // rock_star_menuitem
endif;

add_filter( 'wp_setup_nav_menu_item' , 'rock_star_menuitem', 0 );


if ( ! function_exists( 'rock_star_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own rock_star_qtranslate_invalidcache(), and that function will be used instead.
 *
 * * @since Rock Star 1.0
 */
function rock_star_qtranslate_invalidcache() {
	delete_transient( 'rock_star_featured_content' );
	delete_transient( 'rock_star_news_ticker' );
	delete_transient( 'rock_star_featured_slider' );
	delete_transient( 'rock_star_footer_content' );
	delete_transient( 'rock_star_featured_image' );
	delete_transient( 'all_the_cool_cats' );
} // rock_star_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'rock_star_qtranslate_invalidcache' );
